diff --git a/src/quickdisk.c b/src/quickdisk.c
index 3a62c2b9..324c3b3e 100644
--- a/src/quickdisk.c
+++ b/src/quickdisk.c
@@ -121,7 +121,7 @@ void floppy_init(void)
     floppy_set_fintf_mode();
 
     printk("Interface: QuickDisk, JC=%s\n",
-           board_jc_strapped() ? "On (Roland)" : "Off");
+           qd_roland_mode() ? "On (Roland)" : "Off");
     
     board_floppy_init();
 
